<!--#include file="settings.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%

'---------------------------------------------------------------------
	' designSettings.asp : startWindow, endWindow functions
	' utilFunctions.asp  : currencyFormat function
'---------------------------------------------------------------------

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call productsPermissions()
if PRODUCT_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

dim storeRS, sqlString
dim productID, productName
dim cLine, classColor
dim highLimit, okDelete, okAdd
dim firstID

productID = request.querystring("productID")
if not testUrl(productID, errMessage) then
	set storeConn = nothing
	session("errMessage") = errMessage
	response.redirect "error.asp"
end if

set storeRS = Server.CreateObject("ADODB.Recordset")
sqlString = "select productName from storeProducts where storeID = "&storeID&" and productID = "&productID
storeRS.open sqlString, storeConn, 1, 1
productName = storeRS("productName")
storeRS.close

okAdd = true
sqlString = "select count(priceLineID) as numberPrices from storeProductsPrices where storeID = "&storeID&" and productID = "&productID
storeRS.open sqlString, storeConn, 1, 1
if storeRS("numberPrices") = 1 then
	okDelete = false
	storeRS.close
	sqlString = "select priceLineID, highLimit from storeProductsPrices where storeID = "&storeID&" and productID = "&productID
	storeRS.open sqlString, storeConn, 1, 1
	if cint(storeRS("highLimit")) = 0 then
		firstID = storeRS("priceLineID")
		okAdd = false
	end if
else
	okDelete = true
end if
storeRS.close

sqlString = "select priceLineID, lowLimit, highLimit, price, stepSale from storeProductsPrices where storeID = "&storeID&" and productID = "&productID
storeRS.open sqlString, storeConn, 1, 1

call startWindow ("List of prices for product : <i>"&productName&"</i>","100%", true) 
%>

<form>
<table border ="0" width="100%" cellspacing="1" cellpadding="1">
<% call saveChanges (0) %>
<tr>
	<td>
		<table border="0" cellspacing="0" cellpadding="2" class="bor1">
			<tr class="cell1">
				<td><div id="normalText"><b>Min quantity</b></div></td>
				<td>&nbsp;</td>
				<td><div id="normalText"><b>Max quantity</b></div></td>
				<td>&nbsp;</td>
				<td><div id="normalText"><b>Price/product</b></div></td>
				<td>&nbsp;</td>
				<td><div id="normalText"><b>Step sale</b></div></td>
				<td colspan="4" align="right"><img src="design/images/tD.gif" width="23" height="23"></td>
			</tr>
			<% cLine = 0
		    do while not storeRS.eof
		   		if cint(storeRS("highLimit")) = 0 then
					highLimit = "unlimited"
				else
					highLimit = storeRS("highLimit")
				end if
			   	if cLine mod 2 = 0 then 
					classColor = "class=c1"
				else
					classColor = "class=c2"
				end if %>
				<tr  <%= classColor %>>
					<td><div id="normalText"><%= storeRS("lowLimit") %></div></td>
					<td>&nbsp;</td>
					<td><div id="normalText"><%= highLimit %></div></td>
					<td>&nbsp;</td>
					<td><div id="normalText"><%= currencyFormat(formatNumber(cdbl(storeRS("price")),2)) %></div></td>
					<td>&nbsp;</td>
					<td><div id="normalText"><%= formatNumber(cdbl(storeRS("stepSale")),2) %></div></td>
					<td>&nbsp;</td>
					<td>
						<a href="javascript:document.location='productPrices.asp?productID=<%= productID %>&priceLineID=<%= storeRS("priceLineID") %>'">Edit</a>
					</td>
					<% if okDelete then %>
						<td><div id="normalText">|&nbsp;<a href="JavaScript:document.location='productActions.asp?productID=<%= productID %>&priceLineID=<%= storeRS("priceLineID") %>&caller=deletePrice'">Delete</a></div></td>
					<% else %>
						<td>&nbsp;</td>
					<% end if %>
				</tr>
				<% cLine = cLine + 1
			   	storeRS.movenext
			loop
			storeRS.close %>
		</table>
	</td>
</tr>
<tr>
	<td><br></td>
</tr>
<% if not okAdd then %>
	<tr>
		<td><div id="normalText">Before you add a new price for this product, you must edit the general price of the product and set <i>max quantity</i> with a numeric value</div></td>
	</tr>
	<tr>
		<td><div id="normalText">For example : Edit general price with the following values<br><i>min quantity</i> = 0; <i>max quantity</i> = 6; <i>price</i> = $20.00<br>After that, you can add a new price with the following values<br><i>min quantity</i> = 7; <i>max quantity</i> = unlimited; <i>price</i> = $18.00</div></td>
	</tr>
	<tr>
		<td><br></td>
	</tr>
<% end if %>
<tr>
	<td>
		<% if okAdd then %>
			<input type="button" value="Add new price" class="b1" onClick="document.location='productPrices.asp?productID=<%= productID %>'">
		<% else %>
			<input type="button" value="Edit general price" class="b1" onClick="document.location='productPrices.asp?productID=<%= productID %>&priceLineID=<%= firstID %>'">
		<% end if %>
		<input type="button" value="Back to product" class="b1" onClick="document.location='productAddEdit.asp?productID=<%= productID %>'">
	</td>
</tr>

</table>
</form>

<%
set storeRS = nothing
set storeConn = nothing
call endWindow() 
%>
<!--#include file="design/end.asp"-->
