<%
' This module is using in all pages, if there are special products in store
' It contain all functions from browseProdFunctions.asp, and some auxiliar functions from browseFunctions.asp
' browseProdFunctions.asp is not included in all pages

sub displaySpecialImage(productID, imageID)

	dim storeRS, sqlString

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select imageFileName from storeImages where storeID = "&storeID&" and imageID = "&imageID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then %>
		<a href="browseProductsDetails.asp?<%= urlString %>viewID=4&productID=<%= productID %>"><img name="imageProduct<%= productID %>" src="<%= "images/inventory/"&storeRS("imageFileName") %>" border="0"></a>
	<% else
		response.write "&nbsp;"
	end if 
	storeRS.close
	set storeRS = nothing
end sub
' ------------------------------------------------------------------------------------
sub displaySpecialName(productID, productName) %>
	<a href="browseProductsDetails.asp?<%= urlString %>viewID=4&productID=<%= productID %>"><%= productName %></a>
<% end sub
' ------------------------------------------------------------------------------------
sub displaySpecialDescription(productDescription)

	if productDescription <> "" then
		response.write "<font face=""verdana"" size=""2"">" & productDescription & "</font>"
	else
		response.write "&nbsp;"
	end if

end sub
' ------------------------------------------------------------------------------------
sub displaySpecialWeight(weight, measure)

	dim weightStr
	if weight <> 0 then
		weightStr = Product_weight_CONST &" "&cstr(weight)&" "&measure
		response.write "<font face=""verdana"" size=""2"">" & weightStr&"</font>"
	else
		response.write "&nbsp;"
	end if

end sub
'-----------------------------------------------------------------------------------------
sub displaySpecialPrices(productID, listAtributes)

	dim priceMatrix
	
	dim storeRS, sqlString
	dim retailPrice, totalPrice, firstUnit, index
	dim stepSaleOld
	
	priceMatrix = testSpecialPriceMatrix(productID)
	sqlString = "select priceLineID, productID, lowLimit, highLimit, price, startDateDiscount, endDateDiscount, discount, imageId," &_
				"description, stepSale, measure from storeProductsPrices where storeID = "&storeID&" and productID = "&productID
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then 
	' -------------------------------- the product has price --------------------------
		index = 0
		stepSaleOld = ""
		do while not storeRS.eof 
			index = index + 1
			retailPrice = cdbl(storeRS("price"))
			totalPrice = retailPrice
			call calculateTotalPriceSpecial(storeRS("productID"), retailPrice, totalPrice, storeRS("priceLineID"), listAtributes)
			'---------------------------------------------------------------------------
			response.write "<table border=""0"" cellspacing=""3"" cellpadding=""0"">"
			response.write "<tr>"
			' -------------- display the image of the price if exist -------------------
			dim storeRS2
			Set storeRS2 = Server.CreateObject("ADODB.Recordset")
			sqlString = "select imageFileName from storeImages where storeID = "&storeID&" and imageID = "&storeRS("imageId")
			storeRS2.open sqlString, storeConn, 1, 1
			if not storeRS2.eof or storeRS("description") <> "" then
				response.write "<td valign=""top"">"
				if not storeRS2.eof then %>
					<img src="<%= "images/inventory/"&storeRS2("imageFileName")%>" border="0"><br>
				<% end if
				if storeRS("description") <> "" then 'exist description
					response.write "<font face=""verdana"" size=""2"">" & storeRS("description") &"</font>"
				end if
				response.write "</td>"
			end if
			storeRS2.close
			set storeRS2 = nothing
			'--------------------------------------------------------------------------- 
			' -------------------------- display the prices ----------------------------
			if not priceMatrix then 
				if totalPrice <> retailPrice then 
					response.write "<td>"
					response.write "<table>"
					response.write "<tr>"
					response.write "<td nowrap>" 
					response.write "<font face=""verdana"" size=""2"">" &"<b>"&Old_price_CONST&" <strike>"&currencyFormat(formatNumber(retailPrice, 2))&"</strike></b></font>"
					response.write "</td>"
					response.write "</tr>"
					response.write "<tr>"
					response.write "<td nowrap>"
					response.write "<font face=""verdana"" size=""2"" color=""red"">" &"<b>"&Our_price_CONST&" "&currencyFormat(formatNumber(totalPrice, 2))&"</b></font>"
					response.write "</td>"
					response.write "</tr>"
					response.write "</table>"
					response.write "</td>"
				else
					response.write "<td nowrap>"
					response.write "<font face=""verdana"" size=""2"">" &"<b>"&Price_CONST&" "&currencyFormat(formatNumber(totalPrice, 2))&"</b></font>"
					response.write "</td>"
				end if
			else
				' -------------------------- display the price matrix ------------------------------- 
				dim lowLimit, displayString
				lowLimit = storeRS("lowLimit")
				if lowLimit = 0 then 
					lowLimit = 1
				end if
				if index = 1 then
					if storeRS("measure")<>"" then
						firstUnit = storeRS("measure")
					else
						firstUnit = piece_CONST
					end if
				end if
				displayString = Buy_CONST &" "& lowLimit
				if storeRS("highLimit") = 0 then
					displayString = displayString&" "&or_more_products_for_CONST
				else
					displayString = displayString&" - "&storeRS("highLimit")&" "&products_for_CONST
				end if 
				displayString = displayString&" <b>"&currencyFormat(formatNumber(totalPrice,2))&"/"&firstUnit&"</b>"
				if index <> 1 and cint(storeRS("stepSale")) <> 1 and storeRS("measure") <> "" and storeRS("stepSale") <> stepSaleOld then
					displayString = displayString&" (1 "&storeRS("measure")&" = "&storeRS("stepSale")&" "&firstUnit
					displayString = displayString&" = "&currencyFormat(formatNumber(totalPrice*cdbl(storeRS("stepSale")),2))&")"
				end if
				response.write "<td nowrap>" 
				response.write "<font face=""verdana"" size=""2"">" & displayString &"</font>"
				response.write "</td>"
			end if
			response.write "</tr>"
			response.write "</table>"
			stepSaleOld = storeRS("stepSale")
			storeRS.movenext
		loop 
		storeRS.close
	' ------------------------------------------------------------------------------------
	else
	' -------------------------------- the product has no price --------------------------
		response.write "&nbsp;"
		storeRS.close
	end if
	' ------------------------------------------------------------------------------------
	set storeRS = nothing
end sub
'-----------------------------------------------------------------------------------------
sub displaySpecialAtributes(productID, listAtributes)

	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")

	sqlString = "select classID, className from storeProductsAtribClass where storeID = "&storeID&" and productID = "&productID&" order by positionInProduct"
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		response.write "<table border=""0"" cellspacing=""3"" cellpadding=""1"">"
		do while not storeRS.eof 
			response.write "<tr>"
			response.write "<td>"
			response.write "<font face=""verdana"" size=""2"">" & storeRS("className") &"</font>"
			response.write "</td>"
			call displaySpecialAtributesValues(storeRS("classID"), productID, listAtributes)
			response.write "</tr>"
			storeRS.movenext
		loop
		response.write "</table>"
	else
		response.write "&nbsp;"
	end if
	storeRS.close
	set storeRS = nothing
end sub

'-----------------------------------------------------------------------------------------
' this will display the atributes from a class atributes
sub displaySpecialAtributesValues (classID, productID, listAtributes)

	dim storeRS, sqlString
	dim objectName, isSelect, typeImage, atribValue
	dim stringAtribut, priceDifference, priceDifferenceSelected

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select atribID, productID, atribName, isDefault, typeImage, quantity, priceDifference from storeProductsAtribValues where classID = "&classID&" and storeID = "&storeID&" order by positionInClass"
	storeRS.open sqlString, storeConn, 1, 1

	if not storeRS.eof then 
		priceDifferenceSelected = returnPriceSelectedAttributeSpecial(classID, listAtributes)
		typeImage = 0
		objectName = "c"&productID
		response.write "<td>" %>
		<select name="<%= objectName %>">
		<% do while not storeRS.eof 
			if listAtributes <> "" then			
				if instr(" "&listAtributes&","," "&storeRS("atribID")&",") > 0 then
					isSelect = "selected"
					typeImage = storeRS("typeImage")
				else
					isSelect = ""
				end if
			else
				if storeRS("isDefault") then
					isSelect = "selected"
				else 
					isSelect = ""
				end if
			end if
			atribValue = storeRS("atribID")
			stringAtribut = ""
			if storeRS("productID")<>0 then 'the atribut is complex
				'test the quantity
				if storeRS("quantity")<>1 then
					stringAtribut = stringAtribut&storeRS("quantity")&" x "
				end if
				' find the product and his price (like atribut)
				sqlString = "SELECT storeProducts.productName, storeProductsPrices.price " &_
							"FROM storeProducts INNER JOIN storeProductsPrices ON (storeProducts.productID = storeProductsPrices.productID) AND (storeProducts.storeID = storeProductsPrices.storeID) " &_
							"WHERE (storeProducts.storeID="&storeID&" And storeProducts.productID="&storeRS("productID")&")"
				dim storeTest
				set storeTest = Server.CreateObject("ADODB.Recordset")
				storeTest.open sqlString, storeConn, 1, 1
				if not storeTest.eof then
					if storeTest("price") <> 0 then
						stringAtribut = stringAtribut&storeTest("productName")&" ("&Price_CONST&" "&currencyFormat(formatNumber(cdbl(storeTest("price")),2))&"/"&product_CONST&" )"
					else
						stringAtribut = stringAtribut&storeTest("productName")
					end if
				else
					' ----------------- the product has no price --------------------
					storeTest.close
					sqlString = "select productName from storeProducts where storeID = "&storeID&" and productID = "&storeRS("productID")
					storeTest.open sqlString, storeConn, 1, 1
					stringAtribut = stringAtribut&storeTest("productName")
					' ---------------------------------------------------------------
				end if
				storeTest.close
				set storeTest = nothing
			else 'the atribut is simple
				stringAtribut = stringAtribut&storeRS("atribName")
				priceDifference = cdbl(storeRS("priceDifference"))
				if isSelect = "" and priceDifference <> priceDifferenceSelected then
					if priceDifference > priceDifferenceSelected then
						stringAtribut = stringAtribut&" [+ "&currencyFormat(formatNumber((priceDifference - priceDifferenceSelected),2))&"]"
					else
						stringAtribut = stringAtribut&" [- "&currencyFormat(formatNumber((priceDifferenceSelected - priceDifference),2))&"]"
					end if
				end if
			end if %>
			<option value="<%=atribValue %>"<%= isSelect %>><%= stringAtribut %></option>
			<% storeRS.movenext
		loop 
		response.write "</select>"
		response.write "</td>"
	else 
		response.write "<td>&nbsp;</td>"
	end if	
	storeRS.close
	set storeRS = nothing 
end sub

'-----------------------------------------------------------------------------------------
sub displaySpecialStock(quantityProduct, useQuantity, viewStock)

	dim theString

	if useQuantity and viewStock then
		if quantityProduct = 0 then
			theString = "<font face=""verdana"" size=""2"" color=""red"">" & "<b>"&Out_of_stock_CONST&"</b></font>"
		else
			theString = "<font face=""verdana"" size=""2"">" & Stock_CONST &" ("&quantityProduct&")</font>"
		end if 
		response.write theString
	end if

end sub
'-----------------------------------------------------------------------------------------

sub displaySpecialQuantity(productID, quantityProduct)

	response.write "<table border=""0"" cellspacing=""3"" cellpadding=""0"">"
	response.write "<tr><td valign=""top"">"
	response.write "<font face=""verdana"" size=""2""><b>"&Qty_CONST&"</b></font>"
	response.write "</td>"
	response.write "<td>"
	response.write "<input type=""text"" name=""quantityOrder"&productID&""" value=""1"" size=""3"" maxlength=""3"">"
	response.write "</td></tr></table>"
end sub
'-----------------------------------------------------------------------------------------
sub displaySpecialOrder(productID, quantityProduct, useQuantity, listAtributes)

	if quantityProduct <> 0 or useQuantity = false then %>
		<a href="JavaScript:goToCart<%= productID %>(<%= productID %>,<%= "'"&(listAtributes)&"'" %>,<%= quantityProduct %>);"><%= Order_CONST  %></a>
	<% else
		response.write "&nbsp;"
	end if
end sub
'-----------------------------------------------------------------------------------------
sub displaySpecialBuyFree(useFree, textFree)

	if useFree <> 0 and textFree <> "" then
		response.write "<font face=""verdana"" size=""2"">" & textFree &"</font>"
	else
		response.write "&nbsp;"
	end if

end sub
'-----------------------------------------------------------------------------------------
sub displaySpecialAccesories(productID)

	dim storeRS, sqlString
	sqlString = "select SP.productName, SP.productID from storeProducts as SP inner join storeProductsAccessories as SPA " &_
				"on (SP.storeID=SPA.storeID and SP.productID=SPA.accessoryID) where " &_
				"SPA.storeID = "&storeID&" and SPA.productID = "&productID&" and SP.isVisible=-1"
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS. eof then
		response.write "<font face=""verdana"" size=""2"" color=""red""><b>"&Related_Products_CONST&"</b></font>"
		do while not storeRS.eof %>
			<a href="browseProductsDetails.asp?<%= urlString %>viewID=4&productID=<%= storeRS("productID") %>"><%= storeRS("productName") %></a>
			<% storeRS.movenext
		loop
	else
		response.write ("&nbsp;")
	end if
	storeRS.close
	set storeRS = nothing
	
end sub

'---------------------------- Auxiliar functions------------------------------------------
'-----------------------------------------------------------------------------------------
function testSpecialPriceMatrix(productID)
	' return true if more prices/product
	' else return false
	
	dim return
	dim sqlString, index
	dim storeSub
	
	set storeSub = Server.CreateObject("ADODB.Recordset")
	sqlString = "select priceLineID from storeProductsPrices where storeID="&storeID&" and productID = "&productID
	storeSub.open sqlString, storeConn, 1, 1
	if storeSub.eof then
		return = false
	else
		index = 0
		do while not storeSub.eof 
			index = index+1
			storeSub.movenext
		loop
		if index>1 then
			return = true
		else
			return = false
		end if
	end if
	storeSub.close
	set storeSub = nothing
	testSpecialPriceMatrix = return
end function

'-----------------------------------------------------------------------------
sub calculateTotalPriceSpecial(productID, retailPrice, totalPrice, priceLineID, listAtributeIDs)

	dim defaultConfiguration
	dim calculatePriceAtributes
	dim priceAtributSimple, priceAtributComplex, totalPriceAtributComplex
	dim discount, startDateDiscount, endDateDiscount
	dim storePrices, storePricesAtributes, storeTemp, sqlString
	
	Set storePrices = Server.CreateObject("ADODB.Recordset")
	sqlString = "select calculatePrice, discount, startDateDiscount, endDateDiscount from storeProducts where storeID = "&storeID&" and productID = "&productID
	storePrices.open sqlString, storeConn, 1, 1
	calculatePriceAtributes = storePrices("calculatePrice") 'if true then the price will be a sum(complex atribut)
	Set storePricesAtributes = Server.CreateObject("ADODB.Recordset")
	if listAtributeIDs = "" then
		sqlString = "select storeProductsAtribValues.atribID, storeProductsAtribValues.productID, storeProductsAtribValues.isDefault, storeProductsAtribValues.quantity, storeProductsAtribValues.priceDifference "&_
					"from storeProductsAtribValues inner join storeProductsAtribClass on (storeProductsAtribValues.classID = storeProductsAtribClass.classID and storeProductsAtribValues.storeID = storeProductsAtribClass.storeID) " &_
					"where storeProductsAtribClass.storeID = "&storeID&" and storeProductsAtribClass.productID = "&productID&" and storeProductsAtribValues.isDefault <> 0"
		defaultConfiguration = true
	else
		sqlString = "select storeProductsAtribValues.atribID, storeProductsAtribValues.productID, storeProductsAtribValues.isDefault, storeProductsAtribValues.quantity, storeProductsAtribValues.priceDifference "&_
						"from storeProductsAtribValues inner join storeProductsAtribClass on (storeProductsAtribValues.classID = storeProductsAtribClass.classID and storeProductsAtribValues.storeID = storeProductsAtribClass.storeID) " &_
						"where storeProductsAtribClass.storeID = "&storeID&" and storeProductsAtribClass.productID = "&productID&" and storeProductsAtribValues.atribID in ("&listAtributeIDs&")"
		defaultConfiguration = false
	end if
	storePricesAtributes.open sqlString, storeConn, 1, 1
	priceAtributSimple = 0
	priceAtributComplex = 0
	if not storePricesAtributes.eof then
		do while not storePricesAtributes.eof
			if storePricesAtributes("productID") = 0 then 'the atribut is simple
				priceAtributSimple = priceAtributSimple + cdbl(storePricesAtributes("priceDifference"))
			else 'the atribut is complex then calculate the price of complex atribut
				sqlString = "select storeProductsPrices.price from storeProductsPrices "&_
								  "inner join storeProducts on (storeProductsPrices.storeID = storeProducts.storeID and storeProductsPrices.productID = storeProducts.productID) "&_
								  "where storeProducts.storeID = "&storeID&" and storeProducts.productID = "&storePricesAtributes("productID")
				set storeTemp = Server.CreateObject("ADODB.Recordset")
				storeTemp.open sqlString, storeConn, 1, 1
				if not storeTemp.eof and calculatePriceAtributes then
					priceAtributComplex = priceAtributComplex + cdbl(storeTemp("price"))*cdbl(storePricesAtributes("quantity"))
				end if
				storeTemp.close
				set storeTemp = nothing
			end if
			storePricesAtributes.movenext
		loop
		if priceAtributComplex <> 0 then ' calculate discount on this price
			totalPriceAtributComplex = priceAtributComplex
			discount = cdbl(storePrices("discount"))
			if discount<>0 then
				startDateDiscount = FormatDateTime(storePrices("startDateDiscount"),vbShortDate)
				endDateDiscount = FormatDateTime(storePrices("endDateDiscount"),vbShortDate)
				call calculateDiscount(discount, startDateDiscount, endDateDiscount, priceAtributComplex, totalPriceAtributComplex)
			end if
			retailPrice = priceAtributComplex + priceAtributSimple
			totalPrice = totalPriceAtributComplex + priceAtributSimple
		else 
			retailPrice = retailPrice + priceAtributSimple
			totalPrice = totalPrice + priceAtributSimple
		end if
	end if
	if priceAtributComplex = 0 then 'calculate discount for the retail price	
		sqlString = "select startDateDiscount, endDateDiscount, discount from storeProductsPrices where priceLineID = "&priceLineID
		Set storeTemp = Server.CreateObject("ADODB.Recordset")
		storeTemp.open sqlString, storeConn, 1, 1
		discount = cdbl(storeTemp("discount"))
		if discount <> 0 then 'exist discount
			startDateDiscount = FormatDateTime(storeTemp("startDateDiscount"),vbShortDate)
			endDateDiscount = FormatDateTime(storeTemp("endDateDiscount"),vbShortDate)
			call calculateDiscount(discount, startDateDiscount, endDateDiscount, retailPrice, totalPrice)
		end if
		storeTemp.close
		set storeTemp = nothing
	end if
	storePricesAtributes.close
	set storePricesAtributes = nothing
	storePrices.close
	set storePrices = nothing
end sub

'-----------------------------------------------------------------------------
function returnSpecialAttributes(productID)

	dim storeRS, sqlString
	dim listAtributes
	sqlString = "select storeProductsAtribValues.atribID "&_
				"from storeProductsAtribValues inner join storeProductsAtribClass on (storeProductsAtribValues.classID = storeProductsAtribClass.classID and storeProductsAtribValues.storeID = storeProductsAtribClass.storeID) " &_
				"where storeProductsAtribClass.storeID = "&storeID&" and storeProductsAtribClass.productID = "&productID&" and storeProductsAtribValues.isDefault <> 0"

	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	do while not storeRS.eof
		if listAtributes = "" then
			listAtributes = storeRS("atribID")
		else
			listAtributes = listAtributes&", "&storeRS("atribID")
		end if
		storeRS.movenext
	loop
	storeRS.close
	set storeRS = nothing
	returnSpecialAttributes = listAtributes
end function
'-----------------------------------------------------------------------------
' this function will return the attribute price (main) for the selected attributes (only for simple attributes)
function returnPriceSelectedAttributeSpecial(classID, listAtributes)

dim storeLocal, sqlString
dim returnPrice

if listAtributes <> "" then
	set storeLocal = Server.CreateObject("ADODB.Recordset")
	sqlString = "select atribID, priceDifference from storeProductsAtribValues where storeID = "&storeID&" and classID = "&classID&" and productID = 0"
	storeLocal.open sqlString, storeConn, 1, 1
	do while not storeLocal.eof
		if instr(" "&listAtributes&","," "&storeLocal("atribID")&",")>0 then
			returnPrice = cdbl(storeLocal("priceDifference"))
			exit do
		end if
		storeLocal.movenext
	loop
	storeLocal.close
	set storeLocal = nothing
else
	returnPrice = 0
end if
returnPriceSelectedAttributeSpecial = returnPrice

end function
'----------------------------------------------------------------------------------------------------
function returnSpecialQuantity(databaseQuantity, useQuantity, listAtributes)

	dim quantityProduct
	quantityProduct = -1 'the default value for the quantity
	if useQuantity then
		quantityProduct = databaseQuantity
		if quantityProduct < 0 then
			quantityProduct = 0
		end if
		quantityProduct = calculateSpecialQuantity(quantityProduct, listAtributes)
	end if
	returnSpecialQuantity = quantityProduct

end function
'----------------------------------------------------------------------------------------------------
function calculateSpecialQuantity(quantityProduct, listAtributes)
'this function will recalculate the quantity product if produc has attributes

dim sqlString, storeTemp, storeTemp1
dim theResult, quantityInStock
dim atributNumber, partialResult

theResult = quantityProduct
if listAtributes <> "" then
	if theResult <> 0 then
		sqlString = "select productID, quantity from storeProductsAtribValues where atribID in ("&listAtributes&") and productID <> 0"
		set storeTemp = Server.CreateObject("ADODB.Recordset")
		set storeTemp1 = Server.CreateObject("ADODB.Recordset")
		storeTemp.open sqlString, storeConn, 1, 1
		do while not storeTemp.eof
			sqlString = "select storeProductsStocks.quantity,storeProductsStocks.minQuantityStopSale from storeProducts inner join storeProductsStocks on (storeProducts.storeID = storeProductsStocks.storeID and " &_
					    "storeProducts.productID = storeProductsStocks.productID) where storeProducts.storeID = "&storeID&" and storeProducts.productID = "&storeTemp("productID")
			storeTemp1.open sqlString,storeConn, 1, 1
			'----------------the following variable are used for atributes------------------------
			quantityInStock = cdbl(storeTemp1("quantity"))
			if quantityInStock < 0 then
				quantityInStock = 0
			end if
			atributNumber = cdbl(storeTemp("quantity"))
			partialResult = int(quantityInStock/atributNumber)
			if theResult > partialResult then
				theResult = partialResult
			end if
			'--------------------------------------------------------------------------------
			storeTemp1.close
			storeTemp.movenext
		loop
		set storeTemp1 = nothing
		storeTemp.close
		set storeTemp = nothing
	end if
end if
calculateSpecialQuantity = theResult
end function
'-----------------------------------------------------------------------------
sub calculateDiscount(discount, startDateDiscount, endDateDiscount, retailPrice, totalPrice)

	'this function will be calculate the discount
	' if currentDate in (startDate,endDate) then totalPrice = f(retailPrice,discount)
	
	dim currentDate
	
	currentDate = FormatDateTime(now,vbShortDate)
	if checkTheDateInterval(currentDate, startDateDiscount, endDateDiscount) then
		'calculate the discount
		if discount>0 then 'fixed value
			if retailPrice-discount>0 then 
				totalPrice=retailPrice-discount
			end if
		else '% value
			totalPrice=formatnumber(retailPrice-(-1)*discount*retailPrice,2)
		end if
	end if 
	
end sub
'-----------------------------------------------------------------------------
function checkTheDateInterval(currentDate, startDate, endDate)
	'return true if currentDate is included in interval (startDate,endDate)
	if testDate(startDate,currentDate) = false then
		checkTheDateInterval=false
		exit function
	else
		if testDate(currentDate,endDate) = false then
			checkTheDateInterval = false
			exit function
		end if
	end if
	checkTheDateInterval = true
	
end function

'-----------------------------------------------------------------------------
function TestDate(date1,date2)
	'return true if date1<=date2; else return false

	if year(date2) < year(date1) then
		TestDate = false
		exit function
	end if
	if year(date2) = year(date1) then
		if month(date2)<month(date1) then
			TestDate = false
			exit function
		end if
		if month(date2) = month(date1) then
			if day(date2) < day(date1) then
				TestDate = false
				exit function
			end if
		end if
	end if
	TestDate = true
end function
'-----------------------------------------------------------------------------
%>